Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
IDependent Member List

This is the complete list of members for IDependent, including all inherited members.

addRef()=0 | FUnknown | pure virtual
ChangeMessage enum name | IDependent |
iid | IDependent | static
kChanged enum value | IDependent |
kDestroyed enum value | IDependent |
kStdChangeMessageLast enum value | IDependent |
kWillChange enum value | IDependent |
kWillDestroy enum value | IDependent |
queryInterface(const TUID _iid, void **obj)=0 | FUnknown | pure virtual
release()=0 | FUnknown | pure virtual
update(FUnknown *changedUnknown, int32 message)=0 | IDependent | pure virtual

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.